Subject: Re: bug#77299: eww-auto-rename-buffer 'title interaction with eww-readable-urls

From: Keith Amidon <[email-masked]>
Date: Thu, 12 Jun 2025 09:47:08 -0700

On 6/12/25 08:54, Jim Porter wrote:
> I wrote the 'eww-readable-urls' feature (though not the original 
> readable mode code), so I have a fairly good idea of how things work 
> in this area. If you're interested in working on a patch, I'm happy to 
> provide some guidance, or if you just want it to work right, I could 
> write the patch.
If you have the time and interest to write the patch based on your 
superior knowledge of the code Jim that would be great. I'm motivated to 
have this work because I find using eww-readable-urls to make eww much 
more useful for my day-to-day usage (thanks for contributing it!) but I 
also heavily use org links which need the document title to work well. 
My current personal workaround is working but I'd like to get a solution 
upstream and stop carrying it. If you come up with something you'd like 
help testing I'd be happy to help with that. If you can't get to it for 
a while I'll make time to poke at it.